# -*- coding: utf-8 -*-
from cms.menu_bases import CMSAttachMenu
from menus.base import Menu, NavigationNode
from menus.menu_pool import menu_pool
from django.core.urlresolvers import reverse
from django.utils.translation import ugettext_lazy as _


# application menu: create a menu for display, for example,
# all active instances of a app model (e.g. Polls application: you could
# create a menu that shows a node for each active poll)
# please refer to docs:
# http://docs.django-cms.org/en/2.3.3/extending_cms/extending_examples.html#my-first-menu

#sample:
#from sampleapp.models import Samplemodel
#
#class MyMenu(CMSAttachMenu):
#    name = _("My Menu")      # give the menu a name (required)
#
#    def get_nodes(self, request):
#        """
#        this method is used to build the menu tree
#        """
#        nodes = []
#        for item in Samplemodel.objects.all():
#             # the menu tree consists of NavigationNode instances
#             # Each NavigationNode takes a label as its first argument, a URL as
#             # its second argument and a (for this tree) unique id as its third
#             # argument.
#             node = NavigationNode(
#                 poll.question,
#                 reverse('polls.views.detail', args=(poll.pk,)),
#                 poll.pk
#             )
#             nodes.append(node)
#             return nodes
#
#menu_pool.register_menu(MyMenu)




